Package com.collibra.dgc.workflow.api.delegate

# Class StartCollibraConnectFlowDelegate

java.lang.Object
com.collibra.dgc.workflow.api.delegate.StartCollibraConnectFlowDelegate

All Implemented Interfaces:
  `org.flowable.engine.delegate.JavaDelegate`

public class StartCollibraConnectFlowDelegate extends Object implements org.flowable.engine.delegate.JavaDelegate
`JavaDelegate` for starting Collibra Connect flow.

Possible input fields are:

- flowId: the string representing a flow that will be started in Collibra Connect.
- payload: the expression that is going to be evaluated and sent as payload to a Collibra Connect flow with id: 'flowId'.
- dgcWorkflowProcessInstanceId: the expression that is going to be evaluated and sent to a Collibra Connect flow as #[sessionVars.dgcWorkflowProcessInstanceId]. Based on this property it is possible to send the response back to the appropriate workflow.
- dgcWorkflowMessageEventName: the expression that is going to be evaluated and sent to a Collibra Connect flow as #[sessionVars.dgcWorkflowMessageEventName]. This property should be a name of the message event that is waiting for the response from Collibra Connect flow.
- otherParameters: Additional parameters that should be send to Collibra Connect'. This property should be an instance of `Map<String, String>`
- responseStatusCodeVariableName - the name of the variable that the Connect response status code will be set in, if not given then the status code will not be returned"
- responseStatusTextVariableName - the name of the variable that the Connect response status text will be set in, if not given then the status code will not be returned"
- responseBodyVariableName - the name of the variable that the Connect response body will be set in, if not given then the status code will not be returned"
- bodyMaxBytes - the maximal size of the body that will be read, if not given then the default max is 1 MB "

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartCollibraConnectFlowDelegate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(org.flowable.engine.delegate.DelegateExecution execution)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StartCollibraConnectFlowDelegate

    public StartCollibraConnectFlowDelegate()

- ## Method Details

  - ### execute

    public void execute(org.flowable.engine.delegate.DelegateExecution execution)
    Specified by:
      `execute` in interface `org.flowable.engine.delegate.JavaDelegate`